Debian Bug report logs - #602476
policykit-1: FTBFS on kfreebsd-*: sys/signalfd.h: No such file or directory

version graph

Package: src:policykit-1; Maintainer for src:policykit-1 is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Fri, 5 Nov 2010 07:27:01 UTC

Severity: serious

Tags: experimental

Found in version policykit-1/0.99-1

Fixed in version policykit-1/0.99-2

Done: Martin Pitt <mpitt@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=31963

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#602476; Package src:policykit-1. (Fri, 05 Nov 2010 07:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 05 Nov 2010 07:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: policykit-1: FTBFS on kfreebsd-*: sys/signalfd.h: No such file or directory
Date: Fri, 05 Nov 2010 08:29:44 +0100
Source: policykit-1
Version: 0.99-1
Severity: serious
Justification: FTBFS
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

your package no longer builds on kfreebsd-*:
| gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src -I../../src -DPACKAGE_LIBEXEC_DIR=\""/usr/lib/policykit-1"\" -DPACKAGE_SYSCONF_DIR=\""/etc"\" -DPACKAGE_DATA_DIR=\""/usr/share"\" -DPACKAGE_BIN_DIR=\""/usr/bin"\" -DPACKAGE_LOCALSTATE_DIR=\""/var"\" -DPACKAGE_LOCALE_DIR=\""/usr/share/locale"\" -DPACKAGE_LIB_DIR=\""/usr/lib"\" -D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT    -DPOLKIT_BACKEND_I_KNOW_API_IS_SUBJECT_TO_CHANGE -DG_LOG_DOMAIN=\"polkitd-1\" -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -g -O2 -g -Wall -O2 -Wchar-subscripts -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare -Wformat -Wformat-security -c -o polkitd-gposixsignal.o `test -f 'gposixsignal.c' || echo './'`gposixsignal.c
| gposixsignal.c:26:26: error: sys/signalfd.h: No such file or directory
| gposixsignal.c: In function '_g_posix_signal_source_new':
| gposixsignal.c:95: warning: implicit declaration of function 'signalfd'
| gposixsignal.c:95: warning: nested extern declaration of 'signalfd'
| gposixsignal.c:95: error: 'SFD_NONBLOCK' undeclared (first use in this function)
| gposixsignal.c:95: error: (Each undeclared identifier is reported only once
| gposixsignal.c:95: error: for each function it appears in.)
| gposixsignal.c:95: error: 'SFD_CLOEXEC' undeclared (first use in this function)
| make[4]: *** [polkitd-gposixsignal.o] Error 1

Full build logs:
  https://buildd.debian.org/status/package.php?p=policykit-1&suite=experimental

Mraw,
KiBi.




Added tag(s) experimental. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sun, 14 Nov 2010 12:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#602476; Package src:policykit-1. (Wed, 17 Nov 2010 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 17 Nov 2010 21:33:03 GMT) Full text and rfc822 format available.

Message #12 received at 602476@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 602476@bugs.debian.org, control@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#602476: policykit-1: FTBFS on kfreebsd-*: sys/signalfd.h: No such file or directory
Date: Wed, 17 Nov 2010 22:30:00 +0100
[Message part 1 (text/plain, inline)]
tags 602476 + help
thanks

On 05.11.2010 08:29, Cyril Brulebois wrote:
> Source: policykit-1
> Version: 0.99-1
> Severity: serious
> Justification: FTBFS
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> 
> Hi,
> 
> your package no longer builds on kfreebsd-*:
> | gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src -I../../src -DPACKAGE_LIBEXEC_DIR=\""/usr/lib/policykit-1"\" -DPACKAGE_SYSCONF_DIR=\""/etc"\" -DPACKAGE_DATA_DIR=\""/usr/share"\" -DPACKAGE_BIN_DIR=\""/usr/bin"\" -DPACKAGE_LOCALSTATE_DIR=\""/var"\" -DPACKAGE_LOCALE_DIR=\""/usr/share/locale"\" -DPACKAGE_LIB_DIR=\""/usr/lib"\" -D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT    -DPOLKIT_BACKEND_I_KNOW_API_IS_SUBJECT_TO_CHANGE -DG_LOG_DOMAIN=\"polkitd-1\" -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -g -O2 -g -Wall -O2 -Wchar-subscripts -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare -Wformat -Wformat-security -c -o polkitd-gposixsignal.o `test -f 'gposixsignal.c' || echo './'`gposixsignal.c
> | gposixsignal.c:26:26: error: sys/signalfd.h: No such file or directory
> | gposixsignal.c: In function '_g_posix_signal_source_new':
> | gposixsignal.c:95: warning: implicit declaration of function 'signalfd'
> | gposixsignal.c:95: warning: nested extern declaration of 'signalfd'
> | gposixsignal.c:95: error: 'SFD_NONBLOCK' undeclared (first use in this function)
> | gposixsignal.c:95: error: (Each undeclared identifier is reported only once
> | gposixsignal.c:95: error: for each function it appears in.)
> | gposixsignal.c:95: error: 'SFD_CLOEXEC' undeclared (first use in this function)
> | make[4]: *** [polkitd-gposixsignal.o] Error 1
> 
> Full build logs:
>   https://buildd.debian.org/status/package.php?p=policykit-1&suite=experimental

Would appreciate some help here from our kfreebsd porters.

Thanks,
Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) help. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 17 Nov 2010 21:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#602476; Package src:policykit-1. (Wed, 17 Nov 2010 22:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 17 Nov 2010 22:30:05 GMT) Full text and rfc822 format available.

Message #19 received at 602476@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Michael Biebl <biebl@debian.org>
Cc: Cyril Brulebois <kibi@debian.org>, 602476@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#602476: policykit-1: FTBFS on kfreebsd-*: sys/signalfd.h: No such file or directory
Date: Thu, 18 Nov 2010 00:27:28 +0200
Michael Biebl <biebl@debian.org> writes:
>> | gposixsignal.c:26:26: error: sys/signalfd.h: No such file or directory

Hmm. Is signalfd() used by _g_posix_signal_source_new() is a
Linux-only feature? Man page says

VERSIONS
 signalfd() is available on Linux since kernel 2.6.22.  Working
 support is provided in glibc since version 2.8.  The signalfd4()
 system call (see NOTES) is available on Linux since kernel 2.6.27.

and it is also listed in "Re: Porting upstart to kfreebsd" at

http://www.mail-archive.com/debian-bsd@lists.debian.org/msg04855.html

under "Linux-specific thing that the current and next versions
use/will use are".

This code did not exist in 0.96-3 so maybe you just need to ask
upstream to think about how they want to this on non-Linux systems?
(I'm assuming this 0.99-1 is not targeting squeeze so we are not in a
hurry.)






Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#602476; Package src:policykit-1. (Thu, 18 Nov 2010 09:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 18 Nov 2010 09:30:03 GMT) Full text and rfc822 format available.

Message #24 received at 602476@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 602476@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#602476: policykit-1: FTBFS on kfreebsd-*: sys/signalfd.h: No such file or directory
Date: Thu, 18 Nov 2010 10:30:02 +0100 (CET)
> This code did not exist in 0.96-3 so maybe you just need to ask
> upstream to think about how they want to this on non-Linux systems?

The code have been added by commit

http://cgit.freedesktop.org/PolicyKit/commit/?id=4a9e4f72db4ec00500d9334f7411a086d7c81d0f

It looks like the whole signalfd() is used used
only for "gracefully handle SIGINT".

Iff SIGINT have to blocked all the time, then
brute force solution is to every xxx ms call function

	sigpending(set)
	if (SIGINT is pending in set)
	{	sigwait(SIGINT);
		g_main_loop_quit (loop);
	}

Iff SIGINT do not have to blocked all the time,
then idea will be to create a pipe and install signal
handler for SIGINT which will write into this pipe
availability of data can be tested by poll/select/...

signalfd is really linux only ...

Petr





Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=31963'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Mon, 29 Nov 2010 01:51:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Martin Pitt <martin.pitt@ubuntu.com> to control@bugs.debian.org. (Mon, 06 Dec 2010 14:12:04 GMT) Full text and rfc822 format available.

Removed tag(s) help. Request was from Martin Pitt <martin.pitt@ubuntu.com> to control@bugs.debian.org. (Mon, 06 Dec 2010 14:12:05 GMT) Full text and rfc822 format available.

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Mon, 06 Dec 2010 15:51:03 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Mon, 06 Dec 2010 15:51:03 GMT) Full text and rfc822 format available.

Message #35 received at 602476-close@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 602476-close@bugs.debian.org
Subject: Bug#602476: fixed in policykit-1 0.99-2
Date: Mon, 06 Dec 2010 15:47:11 +0000
Source: policykit-1
Source-Version: 0.99-2

We believe that the bug you reported is fixed in the latest version of
policykit-1, which is due to be installed in the Debian FTP archive:

libpolkit-agent-1-0_0.99-2_amd64.deb
  to main/p/policykit-1/libpolkit-agent-1-0_0.99-2_amd64.deb
libpolkit-agent-1-dev_0.99-2_amd64.deb
  to main/p/policykit-1/libpolkit-agent-1-dev_0.99-2_amd64.deb
libpolkit-backend-1-0_0.99-2_amd64.deb
  to main/p/policykit-1/libpolkit-backend-1-0_0.99-2_amd64.deb
libpolkit-backend-1-dev_0.99-2_amd64.deb
  to main/p/policykit-1/libpolkit-backend-1-dev_0.99-2_amd64.deb
libpolkit-gobject-1-0_0.99-2_amd64.deb
  to main/p/policykit-1/libpolkit-gobject-1-0_0.99-2_amd64.deb
libpolkit-gobject-1-dev_0.99-2_amd64.deb
  to main/p/policykit-1/libpolkit-gobject-1-dev_0.99-2_amd64.deb
policykit-1-doc_0.99-2_all.deb
  to main/p/policykit-1/policykit-1-doc_0.99-2_all.deb
policykit-1_0.99-2.debian.tar.gz
  to main/p/policykit-1/policykit-1_0.99-2.debian.tar.gz
policykit-1_0.99-2.dsc
  to main/p/policykit-1/policykit-1_0.99-2.dsc
policykit-1_0.99-2_amd64.deb
  to main/p/policykit-1/policykit-1_0.99-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 602476@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Pitt <mpitt@debian.org> (supplier of updated policykit-1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 06 Dec 2010 16:28:11 +0100
Source: policykit-1
Binary: policykit-1 policykit-1-doc libpolkit-gobject-1-0 libpolkit-gobject-1-dev libpolkit-agent-1-0 libpolkit-agent-1-dev libpolkit-backend-1-0 libpolkit-backend-1-dev
Architecture: source all amd64
Version: 0.99-2
Distribution: experimental
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Martin Pitt <mpitt@debian.org>
Description: 
 libpolkit-agent-1-0 - PolicyKit Authentication Agent API
 libpolkit-agent-1-dev - PolicyKit Authentication Agent API - development files
 libpolkit-backend-1-0 - PolicyKit backend API
 libpolkit-backend-1-dev - PolicyKit backend API - development files
 libpolkit-gobject-1-0 - PolicyKit Authorization API
 libpolkit-gobject-1-dev - PolicyKit Authorization API - development files
 policykit-1 - framework for managing administrative policies and privileges
 policykit-1-doc - documentation for PolicyKit-1
Closes: 602476
Changes: 
 policykit-1 (0.99-2) experimental; urgency=low
 .
   [ Michael Biebl ]
   * Merge sudo group changes from unstable branch.
 .
   [ Martin Pitt ]
   * debian/rules: Use dpkg-vendor instead of lsb_release. Drop lsb-release
     build dependency.
   * Add 04_test_signalfd.patch: Allow building on Non-Linux platforms without
     signalfd(). (Closes: #602476)
   * Add 99_autoreconf.patch: Pick up autoreconf changes from previous patch.
Checksums-Sha1: 
 055f9057be4324994a6b476934f4232a0afa58de 2241 policykit-1_0.99-2.dsc
 2cff14ac0389e6ab0c29f991ba6542594a97a1f7 13865 policykit-1_0.99-2.debian.tar.gz
 6cd6344d20f88aeef2307d307aaeb990ab89eb55 307998 policykit-1-doc_0.99-2_all.deb
 5f30295812e9c248317e97e83086a6ab2061d8e8 57992 policykit-1_0.99-2_amd64.deb
 2f8e88a8713c61630f9efe02bf1e0b886d4d8442 51616 libpolkit-gobject-1-0_0.99-2_amd64.deb
 86878e8a04e779b3bca16eb57ee5856aa8d7fd65 67524 libpolkit-gobject-1-dev_0.99-2_amd64.deb
 f63e1687d1a5ba4d5bb1295af3ec63fc941fbfdf 28736 libpolkit-agent-1-0_0.99-2_amd64.deb
 f372f3b33274d7478574a6cbd96b586ecdd39773 30516 libpolkit-agent-1-dev_0.99-2_amd64.deb
 fd687f57b8a396a7dc371fe66e62c912011888b8 51788 libpolkit-backend-1-0_0.99-2_amd64.deb
 13b6fdb380bc59788351b018f6ad769fbf8425c9 61428 libpolkit-backend-1-dev_0.99-2_amd64.deb
Checksums-Sha256: 
 2b6058df2bc78d9f04e13f5b5bb93294587def17edee8bf146657ad3b5c88efb 2241 policykit-1_0.99-2.dsc
 38d6cc9599b1af0e51b5ec606ea367cf253d9a0d6c18f0d74e88319b99bf5592 13865 policykit-1_0.99-2.debian.tar.gz
 456157c56e167d154db0b96736ea67ba29962ee91ae656890383ac21297b78b3 307998 policykit-1-doc_0.99-2_all.deb
 75f75e504345f6a3ef404a3eef55cc50a1bee9c61c88dbf79bed3f79a63fc0a9 57992 policykit-1_0.99-2_amd64.deb
 cc241f99e78dad6817f87098a38215e9398807ccf92e92b798a17f54c43f6830 51616 libpolkit-gobject-1-0_0.99-2_amd64.deb
 7a108534dec830d5c9ef0369d0d6912340b97031a19ecb208c28fbb577c8940b 67524 libpolkit-gobject-1-dev_0.99-2_amd64.deb
 9c1d9f94038a89e9085e387cd89abc104ca78dd46b61f880a0578f9cc26e0986 28736 libpolkit-agent-1-0_0.99-2_amd64.deb
 f00a47803dea2650e1ffaa4f0cca7938628520e020849d4100f674e226cbf09d 30516 libpolkit-agent-1-dev_0.99-2_amd64.deb
 01517385f29bd976b0da8e890ff3e2336fbf4594b92460d200419214696305fe 51788 libpolkit-backend-1-0_0.99-2_amd64.deb
 9ebadfa9b453c55bcc0a9be3869a7d18bd053c28fc372baf2bca8491f4cddf71 61428 libpolkit-backend-1-dev_0.99-2_amd64.deb
Files: 
 62112a7d783df1a9afa3db3a6e085599 2241 admin optional policykit-1_0.99-2.dsc
 bf3f0c2e0571a5877d3585933267530f 13865 admin optional policykit-1_0.99-2.debian.tar.gz
 19467cbdfb8e80695b4a01737ee7eec2 307998 doc optional policykit-1-doc_0.99-2_all.deb
 22bff7284702850683da88c35b331dda 57992 admin optional policykit-1_0.99-2_amd64.deb
 6a855b29434142711f8f0db37b8eb7d8 51616 libs optional libpolkit-gobject-1-0_0.99-2_amd64.deb
 0d5429e1ff3fc8e5dfd1c2e4816e4504 67524 libdevel optional libpolkit-gobject-1-dev_0.99-2_amd64.deb
 fa65126d445e5d564e142d9820e18a6d 28736 libs optional libpolkit-agent-1-0_0.99-2_amd64.deb
 158ad6e271300b3177030fbf3b39dc7a 30516 libdevel optional libpolkit-agent-1-dev_0.99-2_amd64.deb
 36152065a9193f6e54a316cd8c20fc14 51788 libs optional libpolkit-backend-1-0_0.99-2_amd64.deb
 2faeabab717b19dcf0f80e91be0c0bfb 61428 libdevel optional libpolkit-backend-1-dev_0.99-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM/QHWAAoJEPmIJawmtHufwZMQAKeEmfBL4jkZKYYLPiAHqXV3
30tg0Lpp3fCUfF6TxahUjR0Gbi1oseCamY0aPNcNwkSB5te3TIqcst6sMhSsCAW6
//T4SCVRmOIP1ZM/ZvDy69d35bpMplocuJw8K9PN9OXc6ACk0rQG+ice4SGqFGCh
Z+kbrUZG6XCCsMz7MPaeko7iQC9sLrFaWPX8ZX2pz6sq7QnAqibLcRHUnQGr+4j3
C0yujkCtqwRzQPYxuYKguHlmelJujSPWeiFJwBJb0TcYrqUSrMYTWzWT7Xia5Hfd
NWvj6tN1vwx987Mi6WU/c/017n3iZlCeyd2MwPhHqrsph0tA+XhQpCQHUMRI/1I9
jzUiRykf6zYjm5Cv4qWqJBNqZEKcRiy2v/pEx02Pq7aiIy3ldLD7YXWbrcLz5Ioy
xJq7rgys8EUzhLr11pCBwChsxiBXGy++YXuRv8/5AM1XuRVIwSzUo5P/Q938+plT
hJM9087H5nJ58GA9bKCjBWKcQs9z4xdZnCLAgkEuyYJzRBvq8AqmSTFbgOsR57ZD
9P/LrGkeFv8eCr8SNinFaMU/XCa8nlj5XdurpasRvskB+Io+iaxVjkU5R8Ondq/o
0OVEMf1LdMbTBGeAHe141zDMK3HZyUys+AbPsPYHfOk2U3hVzkoonZxc8u5H5m1Q
IvhLQ7RsHDp0bahemPdm
=tCVz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 04 Jan 2011 07:36:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:06:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.